﻿@model Otus.Teaching.PromoCodeFactory.Mvc.Models.PreferenceViewModel

<form asp-action="Edit">

    <div asp-validation-summary="ModelOnly"></div>
    
    <input type="hidden" asp-for="Id"/>

    <div class="form-group">
        <label asp-for="Name"></label>
        <input asp-for="Name"/>
        <span asp-validation-for="Name"></span>
    </div>

    <div class="form-group">
        <input type="submit" value="Сохранить"/>
    </div>

</form>

<div>
    <a asp-action="Index">Список</a>
</div>

@section Scripts {
    @{ await Html.RenderPartialAsync("_ValidationScriptsPartial"); }
}
